# helm upgrade --install cubestore gadsme/cubestore -n data-tools --values cubejs/cubestore.yaml

commonLabels:
  vector.dev/exclude: "true"

image:
  tag: v0.32.27

config:
  logLevel: "info"
  jobRunners: 4
  telemetry: false
  queryTimeout: 120
  selectWorkers: 4
  walSplitThreshold: 262144

## Used to define the shared volume to store metadata and datasets
## Prefer use cloudStorage if your are running on "gcp" or "aws"
## If a cloudStorage configuration is used, no remoteDir will be created
##
remoteDir:
  persistence:
    resourcePolicy: keep
    size: 4Gi
    accessModes: ["ReadWriteMany"]
    storageClass: azurefile-csi

router:
  httpPort: 3030
  metaPort: 9999
  mysqlPort: 3306
  statusPort: 3031

  persistence:
    enabled: true
    size: 4Gi
    storageClass: cube
  resources:
    requests:
      cpu: 200m
      memory: 500Mi
    limits:
      cpu: 300m
      memory: 2Gi

workers:
  workersCount: 2
  port: 9001

  persistence:
    enabled: true
    size: 4Gi
    storageClass: cube
  resources:
    requests:
      cpu: 100m
      memory: 400Mi
    limits:
      cpu: 200m
      memory: 1Gi
